Imports
Get import job
Poll the status of an async import. Sync imports complete in the original response and don't appear here. Async jobs are retained for 7 days. Returns 404 once the job has expired.
GET
/v2/prism/{teamId}/imports/{jobId}Poll the status of an async import. Sync imports complete in the original response and don't appear here. Async jobs are retained for 7 days. Returns 404 once the job has expired.
Authorization
apiKey x-api-key<token>
Public API key generated from Micro settings. Sent as the x-api-key header and validated by AWS API Gateway in front of the service.
In: header
Path Parameters
teamId*string
Format
uuidjobId*string
The job_id returned from POST /import.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://developers.micro.so/v2/prism/${MICRO_TEAM_ID}/imports/${JOB_ID}" \ -H "x-api-key: $MICRO_API_KEY"{ "job_id": "string", "status": "complete", "total": 0, "processed": 0, "succeeded": 0, "failed": 0, "results": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "created": true, "existing": true, "updated": true, "input_index": 0, "error": { "code": "string", "message": "string" } } ], "error": { "code": "string", "message": "string" }, "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z"}